body {
  font-family: "Montserrat", sans-serif;
  background-color: #000000;
  overflow: hidden;
  margin: 0;
  color: white;
}

.main {
  display: flex;
  height: 89.643vh;
  width: 100vw;
  position: relative;
  gap: 0.75rem;
  padding: 0.75rem;
  scroll-behavior: smooth;
  padding-bottom: 0px;
}
.sidebar {
  background-color: #000000;
  border-radius: 1rem;
  display: flex;
  flex-direction: column;
  gap: 0.75rem;
  width: 300px;
  flex-shrink: 2;
}
.sidebar-nav {
  background-color: #121212;
  border-radius: 1rem;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  height: 100px;
  padding: 0.5rem 0.75rem;
  line-height: 2.5rem;
}
.sidebar-library {
  background-color: #121212;
  border-radius: 1rem;
  flex: 1;
  padding: 0.5rem 0.75rem;
}
.main-content {
  background-color: #121212;
  flex: 1;
  border-radius: 1rem;
  overflow: scroll;
  position: relative;
  min-height: 0;
}
.musicplayer {
  background-color: #000000;
  position: fixed;
  bottom: 0px;
  width: 100%;
  height: 10.357vh;
  padding: 0.7rem 0rem 0.7rem 0rem;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
.music-area {
  padding: 1rem;
  width: 100%;
  height: 100%;
}
a {
  text-decoration: none;
  color: white;
}

.sidebar-nav-option {
  opacity: 0.7;
  font-size: 1.25rem;
  padding-right: 0.75rem;
  padding-left: 0.75rem;
}
.sidebar-nav-option:hover {
  opacity: 1;
}

.sidebar-nav i {
  opacity: 0.7;
}
.sidebar-nav a {
  font-size: 1rem;
}

.library-options {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 1rem;
  margin-bottom: 0.5rem;
}
.library-heading img {
  height: 1.25rem;
  width: 1.25rem;
}
.library-heading span {
  margin-left: 1rem;
}
.library-icons i {
  opacity: 0.7;
  font-size: 1.25rem;
  margin-right: 0.1rem;
}
.hover:hover {
  opacity: 1;
}
.library-boxes {
  display: flex;
  flex-direction: column;
  gap: 0.25rem;
}
.lib-box {
  background-color: #1f1f1f;
  margin: 0.5rem 0;
  padding: 1rem 1.25rem;
  border-radius: 1rem;
  line-height: 2rem;
}
.box-heading {
  font-size: 1rem;
  font-weight: 650;
  line-height: normal;
}
.box-paragraph {
  font-size: 0.875rem;
  opacity: 0.7;
  margin-bottom: 1rem;
  line-height: normal;
  margin-top: 1rem;
}
.button {
  font-weight: 580;
  background-color: white;
  border: none;
  border-radius: 1rem;
  padding: 0.25rem 1rem;
  height: 1.75rem;
  width: fit-content;
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: normal;
  transition: linear;
  transition-duration: 0.05s;
  display: inline-block;
}
.button:hover {
  transform: scale(1.03);
}
.hover-scale:hover {
  transform: scale(1.03);
}
.sticky-nav {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 1rem;
  position: sticky;
  top: 0;
  background-color: #121212;
  z-index: 100;
}

.nav-icons {
  display: flex;
  flex-direction: row;
}
.nav-icons-icon {
  height: 1.5rem;
  width: 1.5rem;
  border-radius: 50%;
  background-color: black;
  align-items: center;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-content: center;
}
@media (max-width: 1000px) {
  .disapire {
    display: none !important;
    opacity: 0 !important;
  }
}

.main-carousil {
  display: grid;
  grid-auto-flow: column;
  grid-auto-columns: 12.5rem;
  grid-auto-rows: 18.75rem;
  row-gap: 1rem;
  column-gap: 1rem;
  margin: 1rem 0rem 1rem 1rem;
}
.card {
  border-radius: 1rem;
  background-color: #171717;
  color: white;
  overflow: hidden;
  padding: 1rem;
  transition: linear;
  transition-duration: 0.05s;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}
.main-headings {
  font-weight: 700;
  font-size: 1.5rem;
  margin: 1rem 1rem 1rem 0rem;
}
.card img {
  border-radius: 0.8rem;
  width: 100%;
  margin-bottom: 1rem;
}
.card-title {
  font-weight: 600;
}
.card-info {
  opacity: 0.8;
  font-size: 0.8rem;
  text-overflow: ellipsis;
}
.card-info-div {
  height: 2.4rem;
  text-overflow: ellipsis;
  margin-bottom: 10px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
}
.card:hover {
  background-color: #1f1f1f;
}

.footer {
  height: 200px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-content: center;
  align-items: center;
}
.line {
  width: 97%;
  opacity: 0.4;
}
.album {
  height: 100%;
  width: 300px;
  display: flex;
  flex-direction: row;
}
.image-div {
  height: 100%;
  overflow: hidden;
  border: 10%;
  width: 49.6;
}
.album-text {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-left: 0.8rem;
}
.image-div img {
  height: 100%;
}
.album-title {
  font-weight: 500;
  font-size: 0.9rem;
  opacity: 0.9;
}
.album-info {
  opacity: 0.8;
  font-size: 0.8rem;
  text-overflow: ellipsis;
}
.album-icons {
  display: flex;
  flex-direction: row;
  color: white;
  justify-content: center;
  align-content: center;
  align-items: center;
  margin-left: 1rem;
  gap: 0.5rem;
  opacity: 0.8;
}
.controls {
  width: 300px;
  display: flex;
  flex-direction: row;
  align-content: center;
  align-items: center;
  gap: 0.4rem;
}
.controls-icons {
  display: flex;
  flex-direction: row;
  /* opacity: 0.8; */
  gap: 0.5rem;
}
.controls-volumes {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  align-content: center;
  position: relative;
}
#volume {
  -webkit-appearance: none;
  appearance: none;
  width: 120px;
  background: transparent;
  cursor: pointer;
  accent-color: white;
}

/* Track */
#volume::-webkit-slider-runnable-track {
  height: 4px;
  border-radius: 999px;
  background: #6b6b6b;
}

/* Thumb */
#volume::-webkit-slider-thumb {
  -webkit-appearance: none;
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background: white;
  margin-top: -4px; /* centers thumb */
  border: none;
}

.player-icons {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  align-content: center;
  gap: 2rem;
  margin-top: 0.5rem;
}

.hover-opacity i,
.hover-opacity img {
  opacity: 0.8;
}
.hover-opacity i:hover,
.hover-opacity img:hover {
  opacity: 1;
}
#progress-bar {
  -webkit-appearance: none;
  appearance: none;
  width: 80%;
  background: transparent;
  cursor: pointer;
  /* bottom:2.14rem; */
  accent-color: white;
}

/* Track */
#progress-bar::-webkit-slider-runnable-track {
  height: 4px;
  border-radius: 999px;
  background: #6b6b6b;
}

/* Thumb */
#progress-bar::-webkit-slider-thumb {
  -webkit-appearance: none;
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background: white;
  margin-top: -4px; /* centers thumb */
  border: none;
}

.progress-bar {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 1rem;
  text-align: center;
}
.player {
  display: flex;
  flex-direction: column;
  width: 500px;
  justify-content: space-between;
}
.progress-bar span {
  width: 40px; /* same width for both times */

  display: flex;
  justify-content: center; /* horizontal center */
  align-items: center; /* vertical center */

  font-size: 0.8rem;
  opacity: 0.8;
}

/* Main scrollbar */
.main-content::-webkit-scrollbar{
    width: 10px;
    z-index: 10;
}

/* Background track */
.main-content::-webkit-scrollbar-track{
    background: transparent;
}

/* Scroll thumb */
.main-content::-webkit-scrollbar-thumb{
    background: rgba(255, 255, 255, 0.4);
    border-radius: 999px;
}

/* Hover effect */
.main-content::-webkit-scrollbar-thumb:hover{
    background: rgba(255, 255, 255, 0.8);
}
